## LassoSamlp2Status

LassoSamlp2Status — <samlp2:Status>

## Functions

LassoNode * | lasso_samlp2_status_new ()

## Types and Values

struct | LassoSamlp2Status

## Description

Figure 91. Schema fragment for samlp2:Status

    <complexType name="StatusType">
      <sequence>
        <element ref="samlp:StatusCode"/>
        <element ref="samlp:StatusMessage" minOccurs="0"/>
        <element ref="samlp:StatusDetail" minOccurs="0"/>
      </sequence>
    </complexType>

## Functions

### lasso_samlp2_status_new ()

    LassoNode *
    lasso_samlp2_status_new (void);

Creates a new LassoSamlp2Status object.

#### Returns

a newly created LassoSamlp2Status object

## Types and Values

### struct LassoSamlp2Status

    struct LassoSamlp2Status {
    	LassoNode parent;

    	/* elements */
    	LassoSamlp2StatusCode *StatusCode;
    	char *StatusMessage;
    	LassoSamlp2StatusDetail *StatusDetail;
    };